Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

install 2 php version easy apache

Discussion in 'EasyApache' started by seizart, Nov 26, 2014.

  1. seizart

    seizart Active Member

    Joined:
    Feb 21, 2013
    Messages:
    40
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    Root Administrator
    hello

    when i go on easy apache i can see that on the screen to chose the php version there is some documentation on how to run 2 php version on the same cpanel and being able for each account to choose which one to run:
    The EasyApache 3 documentation contains detailed information about installing PHP 4 and 5 simultaneously.

    Unfortunately my screen doesn t give me the choice two select 2 but only one at a time unlike on this other documentation: https://kb.asmallorange.com/customer/portal/articles/1603680-run-multiple-versions-of-php
    Capture d’écran 2014-11-26 à 10.08.22.png
    i need help to make this work.

    thanks
     
  2. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,183
    Likes Received:
    1,936
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello :)

    PHP 4 is end-of-life and no longer supported. You would have to install a third party application (e.g. PHP Selector with Cloud Linux) in order to install different versions of PHP on a per-domain basis.

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. 24x7ss

    24x7ss Well-Known Member

    Joined:
    Sep 30, 2014
    Messages:
    271
    Likes Received:
    16
    Trophy Points:
    18
    Location:
    India
    cPanel Access Level:
    Root Administrator
    Twitter:
    I will suggest you to install ntPHPSelector. After installation is completed you will get 4 different versions of PHP. Then you can choose php as per your requirement.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice